// Code generated by protoc-gen-go. DO NOT EDIT.
// source: rpc/models.proto

/*
Package rpc is a generated protocol buffer package.

It is generated from these files:
	rpc/models.proto
	rpc/actions.proto

It has these top-level messages:
	Phone
	Contact
	ContactRequestOrResponse
	BoolMessageReply
*/
package rpc

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Phone struct {
	Number string `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
}

func (m *Phone) Reset()                    { *m = Phone{} }
func (m *Phone) String() string            { return proto.CompactTextString(m) }
func (*Phone) ProtoMessage()               {}
func (*Phone) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Phone) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

type Contact struct {
	Name    string           `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Address *Contact_Address `protobuf:"bytes,2,opt,name=address" json:"address,omitempty"`
}

func (m *Contact) Reset()                    { *m = Contact{} }
func (m *Contact) String() string            { return proto.CompactTextString(m) }
func (*Contact) ProtoMessage()               {}
func (*Contact) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Contact) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Contact) GetAddress() *Contact_Address {
	if m != nil {
		return m.Address
	}
	return nil
}

type Contact_Address struct {
	City      string `protobuf:"bytes,1,opt,name=City" json:"City,omitempty"`
	Street    string `protobuf:"bytes,2,opt,name=Street" json:"Street,omitempty"`
	Building  string `protobuf:"bytes,3,opt,name=Building" json:"Building,omitempty"`
	Apartment string `protobuf:"bytes,4,opt,name=Apartment" json:"Apartment,omitempty"`
}

func (m *Contact_Address) Reset()                    { *m = Contact_Address{} }
func (m *Contact_Address) String() string            { return proto.CompactTextString(m) }
func (*Contact_Address) ProtoMessage()               {}
func (*Contact_Address) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1, 0} }

func (m *Contact_Address) GetCity() string {
	if m != nil {
		return m.City
	}
	return ""
}

func (m *Contact_Address) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *Contact_Address) GetBuilding() string {
	if m != nil {
		return m.Building
	}
	return ""
}

func (m *Contact_Address) GetApartment() string {
	if m != nil {
		return m.Apartment
	}
	return ""
}

func init() {
	proto.RegisterType((*Phone)(nil), "rpc.Phone")
	proto.RegisterType((*Contact)(nil), "rpc.Contact")
	proto.RegisterType((*Contact_Address)(nil), "rpc.Contact.Address")
}

func init() { proto.RegisterFile("rpc/models.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 200 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x44, 0x8f, 0x4d, 0x4a, 0xc4, 0x30,
	0x14, 0xc7, 0x89, 0x33, 0x4e, 0xed, 0x73, 0x23, 0x41, 0x24, 0x0c, 0x82, 0xc3, 0xac, 0xba, 0x8a,
	0xa0, 0x27, 0xa8, 0xbd, 0x80, 0xd4, 0x13, 0xa4, 0xc9, 0x43, 0x0b, 0xcd, 0x07, 0xaf, 0xaf, 0x0b,
	0x2f, 0xe7, 0xd9, 0xa4, 0x31, 0x75, 0x76, 0xff, 0xaf, 0xfc, 0xc8, 0x83, 0x3b, 0x4a, 0xf6, 0xd9,
	0x47, 0x87, 0xd3, 0xac, 0x13, 0x45, 0x8e, 0x72, 0x47, 0xc9, 0x9e, 0x9f, 0xe0, 0xfa, 0xfd, 0x2b,
	0x06, 0x94, 0x0f, 0x70, 0x08, 0x8b, 0x1f, 0x90, 0x94, 0x38, 0x89, 0xa6, 0xee, 0x8b, 0x3b, 0xff,
	0x08, 0xa8, 0xba, 0x18, 0xd8, 0x58, 0x96, 0x12, 0xf6, 0xc1, 0x78, 0x2c, 0x8b, 0xac, 0xa5, 0x86,
	0xca, 0x38, 0x47, 0x38, 0xcf, 0xea, 0xea, 0x24, 0x9a, 0xdb, 0x97, 0x7b, 0x4d, 0xc9, 0xea, 0xf2,
	0x44, 0xb7, 0x7f, 0x5d, 0xbf, 0x8d, 0x8e, 0x11, 0xaa, 0x92, 0xad, 0xb8, 0x6e, 0xe4, 0xef, 0x0d,
	0xb7, 0xea, 0xf5, 0x1b, 0x1f, 0x4c, 0x88, 0x9c, 0x69, 0x75, 0x5f, 0x9c, 0x3c, 0xc2, 0xcd, 0xdb,
	0x32, 0x4e, 0x6e, 0x0c, 0x9f, 0x6a, 0x97, 0x9b, 0x7f, 0x2f, 0x1f, 0xa1, 0x6e, 0x93, 0x21, 0xf6,
	0x18, 0x58, 0xed, 0x73, 0x79, 0x09, 0x86, 0x43, 0xbe, 0xf6, 0xf5, 0x37, 0x00, 0x00, 0xff, 0xff,
	0xc5, 0x2d, 0xff, 0xba, 0x01, 0x01, 0x00, 0x00,
}
